Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 12 reacties
Bron: WordPress, submitter: MvandeK

WordPress logo (75 pix)Maandag zijn versie 3.0.5 en de vierde release candidate van versie 3.1 van WordPress uitgebracht. Met dit programma, dat onder de gpl-licentie beschikbaar wordt gesteld, is het mogelijk een weblog op te zetten en bij te houden. WordPress zou binnen vijf minuten kunnen draaien als er een server met php en MySQL beschikbaar is. Naast bloggen is het ook mogelijk om de functionaliteit van WordPress verder uit te breiden en het uiterlijk door middel van plug-ins en themes aan te passen. In versie 3.0 zijn onder andere de onderdelen WordPress en WordPress MU samengevoegd, waardoor het eenvoudiger is om verschillende websites te beheren. Verder wordt gebruikgemaakt van een nieuw thema, met de naam Twenty Ten, kunnen custom menu's worden aangemaakt en zijn custom post types en custom taxonomies verbeterd. De release notes voor beide uitgaves zijn hieronder te vinden.

WordPress 3.0.5

The release addresses a number of issues and provides two additional enhancements:
  • Two moderate security issues were fixed that could have allowed a Contributor- or Author-level user to gain further access to the site.
  • One information disclosure issue was addressed that could have allowed an Author-level user to view contents of posts they should not be able to see, such as draft or private posts.
  • Two security enhancements were added. One improved the security of any plugins which were not properly leveraging our security API. The other offers additional defense in depth against a vulnerability that was fixed in previous release.
WordPress 3.1 Release Candidate 4 is also now available.

The Release Candidate 4 build includes the security fixes and enhancements included in 3.0.5 and addresses about two dozen additional bugs. This includes fixes for:
  • Deleting a user and reassigning their posts to another user.
  • Marking multiple users or sites as spam in multisite.
  • PHP4 compatibility.

WordPress 3.0 screenshot
WordPress 3.0 screenshot, klik op de afbeelding voor een grotere versie.

Moderatie-faq Wijzig weergave

Reacties (12)

Op http://nl.wordpress.org/download/ staat een link naar de vertaalde versie.

Blijkens een zojuist uitgevoerde recursieve diff op de bestanden van 3.0.5 en 3.0.4 verschillen de taalbestanden alleen qua revisiedatum. Mocht je de vele vertaalfouten voor 3.0.4 hebben hersteld, dan kan je die gecorrigeerde taalbestanden dus zonder bezwaar voor 3.0.5 gebruiken.
Normaal gesproken kan je meestal binnen enkele dagen een up to date vertaling oppakken bij werkgroepen/wordpress, maar dit keer staat-ie er al 4 uur op! Inclusief tips en inclusief vertaling van het Twentyten thema.
Let hierbij wel op dat de werkgroepen vertaling niet de officiŽle vertaling is die je download met de automatische upgrade van WordPress.

Er wordt aangeraden om gebruik te maken van de automatische upgrade waarvan de vertaling centraal wordt onderhouden met behulp van GlotPress. Voordeel van deze laatste versie is dat het een community effort is waar je via translate.wordpress.org suggesties kan aandragen voor de vertalingen.
Een tip voor nieuwe gebruikers, het downloaden van gratis thema's van dubieuze site's kan soms nare gevolgen hebben: ingebakken malicious code enzo.
Blijf voor de zekerheid bij een theme van de eigen WP theme repo, of edit twentyten.
Het wordt niet aangeraden om TwentyTen te bewerken/editen, je kan in dit geval beter een childthema maken van TwentyTen, zie hiervoor ook deze uitleg op WP Dimensie.
Nog beter is het met Artisteer (artisteer.com) aan de slag te gaan. Absolute aanrader als je met Wordpress, Joomla o.i.d. sites maakt.

Neemt je veel werk uit handen. Ja, er zitten onvolkomenheden in, maar je hebt binnen een kwartiertje een nieuwe template gemaakt.
Jammer dat de auto-update het niet deed. De timeout van het script staat op 120 seconden, terwijl de download langer dan 2 minuten duurt.

Sowieso is het me een raadsel waarom dat downloaden per se synchroon moet waardoor het bij de timeout geteld moet worden, maar de oorzaak is dus dat de server te traag was om een auto-update uit te voeren.

Beetje zonde.
Heb die timeout inmiddels zelf aangepast, alleen is die natuurlijk niet blijvend.. Bij elke update even kijken of (dacht ik) update.php niet is aangepast..
Moet toch niet nodig zijn zeg, ik heb een 120Mbps internetpijp liggen...
Bij mij loopt het geheugen vol en gaat alles compleet over de zeik..
PHP4 compatibility.
Serieus? Is dat nog nodig? Wordpress code is al zo'n spaghetti, dit soort compatibiliteit meeslepen maakt het zelfs in het meest gunstige geval alleen nog maar erger.

Tegenwoordig zijn PHP 5.2 en 5.3 toch wel de norm in hosting-land... Dat er hier en daar nog een optie is voor PHP 4, vooruit, maar als je de nieuwste WP wilt gebruiken en je zit nog vast aan PHP 4 wordt het echt tijd om over te stappen of je host te dwingen om de boel eens te upgraden.
Wordpress 3.1, die binnenkort gereleased zal worden, zal de laatste wordpress versie zijn die PHP4 (en MySQL 4) ondersteunt. Daarna worden de minimale vereisten PHP 5.2 en MySQL 5.0.15. Versie 3.2 staat gepland voor "ergens in de 1e helft van 2011".
Zie: http://wordpress.org/news/2010/07/eol-for-php4-and-mysql4/

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True